package cli

import tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api"

type Command interface {
	GetUsage() string
	GetCommand() string
	GetDescription() string
	ExecuteCommand(*tgbotapi.BotAPI, *tgbotapi.Update) (bool, error)
	AllowChatType(*tgbotapi.Chat) bool
	AllowMember(*tgbotapi.ChatMember) bool
	AllowEveryMember() bool
}
